XvSelectVideoNotify(3X)

Name
XvSelectVideoNotify - enable or disable VideoNotify events

Syntax
#include <X11/extensions/Xvlib.h>

XvSelectVideoNotify(dpy, drawable, onoff)

register Display *dpy;
Drawable drawable;
Bool onoff;

Arguments

dpy Specifies the display screen on which the Xv Server is to accept requests from Xv clients. If the display option is not specified, Xv uses the display screen specified by your DISPLAY environment variable. The display option has the format hostname:number. Using two colons (::) instead of one (:) indicates that DECnet is to be used for transport.

drawable
    Defines the drawable in which video activity is to be reported.

onoff
    Selects whether video notification is enabled or disabled.

Description
XvSelectVideoNotify(3X) enables or disables events to be reported for video activity in a drawable.

Returned Values

[Success]
    Returned if XvSelectVideoNotify(3X) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvSelectVideoNotify(3X) failed to allocate memory to process the request.

[BadDrawable]
    Generated if the requested drawable does not exist.

See Also
XvVideoNotify